extend ../../../../ComponentesPug/FormulariosConListados/Plantilla.pug

block variables
    - var Titulo = "{{ tTitulo }}"
    - var TituloListado = "Lista de Ciudades"
    - var CabeceraListado = ["País", "Estado", "Municipio", "Ciudad", "Descripción"]
    - var CantidadListado = "{{ tCiudades.length }}"
    - var TituloDatos = "Detalles de la Ciudad"
    - var TamanoColeccion = "tCiudades.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tCiudadFor of tCiudades | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag ; let jv = index")
        th.text-nowrap
            button(type="button", [disabled]="!tPermisoEliminar", (click)="Seleccionar_Ciudad_Eliminar(tCiudadFor)").btn.btn-sm.btn-danger.mr-1
                i.fas.fa-trash-alt
            button(type="button", (click)="Seleccionar_Ciudad(tCiudadFor, jv)").btn.btn-sm.btn-warning.ml-1
                i.fas.fa-edit.text-white
        td
            h6.text-xs.text-nowrap [{{ tCiudadFor.Codpais}}] {{ tCiudadFor.Descripcion_pais | slice:0:20 }}
        td
            h6.text-xs.text-nowrap [{{ tCiudadFor.Codestado}}] {{ tCiudadFor.Descripcion_estado | slice:0:20 }}
        td
            h6.text-xs.text-nowrap [{{ tCiudadFor.Codmunicipio}}] {{ tCiudadFor.Descripcion_municipio | slice:0:20 }}
        td
            h6.text-xs {{ tCiudadFor.Codciudad }}
        td
            h6.text-xs.text-nowrap {{ tCiudadFor.Descripcion }}

block ContenidoDatosCabecera
  app-fw-ciudad-cabecera([(Ciudad)]="tCiudadActual")

block ContenidoDatosInformacion
  div.form-row
    div.form-group.col-12
      ul(role="tablist").nav.nav-tabs
        li.nav-item
          a(data-toggle="tab",
              href="#Informacion",
              role="tab",
              aria-controls="Informacion",
              aria-selected="true").nav-link.active Información
  div.form-row
    div.form-group.col-12
      div.tab-content#mvDatos
        div(role="tabpanel", aria-labelledby="Informacion-tab").tab-pane.fade.show.active#Informacion
          app-fw-ciudad-detalles([(Ciudad)]="tCiudadActual",
                                  [Paises]="tPaises",
                                  [Nuevo]="tNuevo")
